package jboss_log4j.servlet;

import java.io.IOException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jboss_log4j.JBossLog4jTest;
import jboss_log4j.common.Log4jServletInit;

import org.jboss.logging.Logger;

public class JBossLog4jTestServlet extends javax.servlet.http.HttpServlet
		implements javax.servlet.Servlet {

	private static final long serialVersionUID = 1L;
	private static Logger logger = Log4jServletInit.getLogger(JBossLog4jTestServlet.class, "/WEB-INF/log4j.xml");

	public void init(ServletConfig config) throws ServletException {
		super.init(config);
		logger.info(config.getServletName() + " inited...");
	}

	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		logger.info("GEOServlet doGet started...");
		response.setContentType("text/html");
		ServletOutputStream out = response.getOutputStream();

		StringBuffer buff = new StringBuffer();
		buff.append("<html><head>");
		buff.append("<title>JBossLog4jTestServlet</title></head><body>");
		buff
				.append("<h2 style=\"color: #004E98;\">JBossLog4jTestServlet start..</h2>");
		buff
				.append("<form method=\"post\" action=\""
						+ request.getContextPath()
						+ "/JBossLog4jTestServlet\" style=\"width:100%;padding:4px;margin:4pa;background-color:#eee\"><p>Trace this value.</p><input type=\"text\" name=\"traced_value\" value=\"777\" /><br />"
						+ "<input type=\"submit\" value=\"submit\" /></form>");
		buff.append("</body></html>");
		out.println(buff.toString());
		out.close();
		logger.info("GEOServlet doGet finished...");
	}

	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		logger.info("JBossLog4jTestServlet doPost started...");
		String traced_value = request.getParameter("traced_value");
		logger.info("Traced value: " + traced_value);
		JBossLog4jTest jBossLog4jTest = new JBossLog4jTest();
		jBossLog4jTest.sendMessage(traced_value);
	}
}
