package jboss_log4j.common;

import java.net.URL;
import org.apache.log4j.xml.DOMConfigurator;
import org.jboss.logging.Logger;

public class Log4jServletInit {
	   private static boolean initialized = false;
	   
	   public static synchronized Logger getLogger(Class cl, String xmlPath){
		      if( !initialized )
		      {
		        	URL url = cl.getResource(xmlPath);
		    		DOMConfigurator.configure(url);
		      }
		      return Logger.getLogger(cl);
	   }	   
}
